#ifndef SOFTWARETRABSPORT_SEEN
#define SOFTWARETRABSPORT_SEEN

#include "abstractSoftware.h"

class softwareTransport : public abstractSoftware
{

    protected :

  bool  moments2FromTransport(string workingDir, string elLab, const nomdElements elem, beam2Moments& moments) const;

  string elementsData(const vector< pair<string, vector<string> > >& donnees) const;
  string beamData(const vector< pair<string, vector<string> > >& donnees) const;
  string driftData(const vector< pair<string, vector<string> > >& donnees) const;
  string solenoData(const vector< pair<string, vector<string> > >& donnees) const;
  string bendData(const vector< pair<string, vector<string> > >& donnees) const;
  string fitData(const vector< pair<string, vector<string> > >& donnees) const;

 public : 
    softwareTransport();
    softwareTransport(string inputFileName, globalParameters* globals, dataManager* beamLine);

  virtual ~softwareTransport() {;}
  virtual bool createInputFile( particleBeam* beamBefore,unsigned int numeroDeb, unsigned int numeroFin, string workingDir);

  virtual bool  execute(string workingDir);


virtual bool buildBeamAfterElements(string workingDir);

    inline string getColor() {
        return "#c0ea8e";
    }
    
    /* inline string getName() const { */
    /*     return "transport"; */
    /* } */

};
#endif
